<?php


    // Buat koneksi
    $koneksi = mysqli_connect("localhost", "root", "", "nodemcu3");

    // Cek koneksi
    if (!$koneksi) {
        die("Koneksi gagal: " . mysqli_connect_error());
    }

    // Lakukan query ke database, desc menampilkan paling terahir
    $sql = mysqli_query($koneksi, "SELECT * FROM tb_sensor ORDER BY id DESC");

    // Periksa apakah query berhasil
    if ($sql) {
        $data = mysqli_fetch_array($sql);

        // Pastikan data tidak null
        if ($data) {
            $cekdetakjantung = isset($data['detakjantung']) ? $data['detakjantung'] : 0;
        } else {
            $cekdetakjantung = 0;
        }
    } else {
        // Jika query gagal, set detak jantung ke 0
        $cekdetakjantung = 0;
    }

    echo $cekdetakjantung;

  
?>
